out
Prev | Orchestra Opcodes and Operators | Next

## out

out — Writes mono audio data to an external device or stream.

## Description

Writes mono audio data to an external device or stream.

## Syntax

    out asig

## Performance

Sends mono audio samples to an accumulating output buffer (created at the beginning of performance) which serves to collect the output of all active instruments before the sound is written to disk. There can be any number of these output units in an instrument.

The type (mono, stereo, quad, hex, or oct) should agree with nchnls. But as of version 3.50, Csound will attempt to change an incorrect opcode to agree with nchnls statement.

## See Also

outh, outo, outq, outq1, outq2, outq3, outq4, outs, outs1, outs2, soundout

## Credits

Author: Barry L. Vercoe, Matt Ingalls/Mike Berry
MIT, Mills College
1993-1997

Original in Csound v1

Prev | Up | Next
oscilx | Home | out32